Back to Home

� API Quick Reference

LinkLens AI Gateway - Quick API Reference Card

Base URL

https://skyboomcoin.com

Authentication

All API requests require a Bearer Token in the Authorization header:

Authorization: Bearer YOUR_JWT_TOKEN

Get your token by signing in at /signin

Core Endpoints

GET/api/ai/providers

Get available AI models and providers list

POST/api/ai/chat

Send a chat completion request

View request body
// Request Body
{
  "messages": [
    { "role": "user", "content": "Hello!" }
  ],
  "provider": "auto",     // auto, deepseek, baidu, alibaba, zhipu, moonshot
  "model": "default",     // model ID or "default"
  "temperature": 0.7,     // 0.0 - 2.0
  "max_tokens": 1000      // max response length
}
GET/api/user/balance

Get current SkyCoin balance and usage stats

GET/api/user/usage/recent

Get recent API usage history

Quick Example (cURL)

curl -X POST https://skyboomcoin.com/api/ai/chat \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "messages": [{"role": "user", "content": "Hello!"}],
    "provider": "auto"
  }'

Example Response

{
  "success": true,
  "content": "Hello! How can I assist you today?",
  "provider": "deepseek",
  "model": "deepseek-chat",
  "tokensUsed": 12,
  "costSC": 0.006,
  "responseTime": 850,
  "balance": {
    "remaining": 99.994,
    "spent": 0.006
  }
}

Error Codes

StatusMeaningSolution
401UnauthorizedCheck your token
403ForbiddenInsufficient permissions
429Rate LimitedWait and retry
insufficient_balanceNo SkyCoinsPurchase more SkyCoins

📚 More Resources